## wxwindows2.2 2.2.9.2

=== locale/Makefile ===
# this is the makefile for generating wxstd.po message catalog file and
# building lang.mo files from the translated lang.po catalogs

# this makefile may be invoked to build either wxstd.po or any lang.mo

# Autodetect the languages we support.  Currently this relies on make
# being called with this dir as the cwd, but if we generate this file
# with configure an explicit path should be specified -- RL.

WX_LINGUAS := `ls *.po 2> /dev/null | sed -n 's/\(wxstd\)\?\.po//p'`

# the programs we use (TODO: use configure to detect them)
MSGFMT=msgfmt --verbose
MSGMERGE=msgmerge
XGETTEXT=xgettext
XARGS=xargs

# common xgettext args: C++ syntax, use the specified macro names as markers
XGETTEXT_ARGS=-C -k_ -kwxGetTranslation -kwxTRANSLATE -s -j

# implicit rules
%.mo: %.po
	$(MSGFMT) -o $@ $<

# a PO file must be updated from wxstd.po to include new translations
%.po: wxstd.po
	if [ -f $@ ]; then $(MSGMERGE) $@ wxstd.po > $@.new && mv $@.new $@; else cp wxstd.po $@; fi

wxstd.po:
	touch $@
	find ../include -name "*.h" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.po
	find ../src -name "*.cpp" | $(XARGS) $(XGETTEXT) $(XGETTEXT_ARGS) -o wxstd.po

allpo: force-update
	@-for t in $(WX_LINGUAS); do $(MAKE) $$t.po; done

allmo:
	@for t in $(WX_LINGUAS); do $(MAKE) $$t.mo; done

force-update:
	$(RM) wxstd.po

# targets depending on this one will be always remade
FORCE:

.PHONY: allpo allmo force-update

# $Id: Makefile,v 1.2.2.5 2000/08/10 10:26:22 VZ Exp $

=== utils/dialoged/src/Makefile ===
#
# File:		Makefile
# Author:	Robert Roebling
# Created:	1999
# Updated:	
# Copyright:	(c) 1998 Robert Roebling
#
# Makefile for Dialog Editor (GTK version)
#
# This makefile requires wxWindows/GTK to be 
# installed (possibly using "make install")
# on your system.
#

CC = g++

DialogEd: dialoged.o dlghndlr.o edlist.o edtree.o reseditr.o reswrite.o \
	symbtabl.o winprop.o winstyle.o
	$(CC) -o DialogEd \
	dialoged.o dlghndlr.o edlist.o edtree.o reseditr.o reswrite.o \
	symbtabl.o winprop.o winstyle.o `wx-config --libs`

dialoged.o: dialoged.cpp
	$(CC) `wx-config --cflags` -c dialoged.cpp

dlghndlr.o: dlghndlr.cpp
	$(CC) `wx-config --cflags` -c dlghndlr.cpp

edlist.o: edlist.cpp
	$(CC) `wx-config --cflags` -c edlist.cpp

edtree.o: edtree.cpp
	$(CC) `wx-config --cflags` -c edtree.cpp

reseditr.o: reseditr.cpp
	$(CC) `wx-config --cflags` -c reseditr.cpp

reswrite.o: reswrite.cpp
	$(CC) `wx-config --cflags` -c reswrite.cpp

symbtabl.o: symbtabl.cpp
	$(CC) `wx-config --cflags` -c symbtabl.cpp

winprop.o: winprop.cpp
	$(CC) `wx-config --cflags` -c winprop.cpp

winstyle.o: winstyle.cpp
	$(CC) `wx-config --cflags` -c winstyle.cpp

clean: 
	rm -f *.o DialogEd

=== debian/changelog ===
wxwindows2.2 (2.2.9.2) unstable; urgency=high

  * Fix wxPython gl bug.  Closes: #130758
  * Add versioned build dep on the -dev package too
    to help avoid the 'png fiasco' for packages built
    with wx.  (Thanks Joshua)  Closes: #131355

 -- Ron Lee <ron@debian.org>  Fri, 25 Jan 2002 03:11:28 -0800

wxwindows2.2 (2.2.9.1) unstable; urgency=high

  * recompile with libpng2..  oops.  Closes: #129762

 -- Ron Lee <ron@debian.org>  Mon, 21 Jan 2002 13:20:00 -0800

wxwindows2.2 (2.2.9) unstable; urgency=high

  * fix for arches with unsigned char as default.
  * high urgency because this fix really should get
    into woody.
    Closes: #127014

 -- Ron Lee <ron@debian.org>  Mon, 31 Dec 2001 06:53:27 -0800

wxwindows2.2 (2.2.8.5) unstable; urgency=low

  * Add wxSIZE_T_IS defines to setup.h
    Add automate that to my TODO list.

 -- Ron Lee <ron@debian.org>  Tue, 27 Nov 2001 05:55:47 -0800

wxwindows2.2 (2.2.8.4) unstable; urgency=low

  * Put the (modified) size_t == ulong kludge back into sndwav.cpp
    it's still needed until wxDataOutputStream is made 64 bit
    friendly, which may not happen for 2.2 since it will probably
    not be binary compatible.
  * caps a memory leak in the jpeg handler.

 -- Ron Lee <ron@debian.org>  Sun, 25 Nov 2001 11:53:59 -0800

wxwindows2.2 (2.2.8.3) unstable; urgency=low

  * Backported size_t test from 2.3 tree, removes the need for
    specific tests for various 64 bit platforms including now
    S/390 (thanks to Gerhard Tonn for the report).
    Closes: #120768

 -- Ron Lee <ron@debian.org>  Fri, 23 Nov 2001 20:53:49 -0800

wxwindows2.2 (2.2.8.2) unstable; urgency=low

  * python-dev doesn't get me python?  More bytes in Build-Dep then
    I guess ...  Closes: #119954

 -- Ron Lee <ron@debian.org>  Sun, 18 Nov 2001 04:28:41 -0800

wxwindows2.2 (2.2.8.1) unstable; urgency=low

  * Rebuild for python2.1  Closes: #119226, #118835

 -- Ron Lee <ron@debian.org>  Mon, 12 Nov 2001 21:47:38 -0800

wxwindows2.2 (2.2.8) unstable; urgency=medium

  * Fixed bogus samples makefile. Closes: #110061
  * Added ability to build wxMSW-cross packages, but they
    are not built and distributed by default.

      If you think such creatures belong in the archive,
      see README.Debian

  * Pruned more inapplicable files from the raw cvs source,
    cleaned configure.in and removed the need for a common setup.h,
    removed superfluous library links and generally tweaked things
    so as to make adding new ports easier.
  * added --gl-libs flag to wx-config.
  * added wx2.4 forward compatible event macros.
  * added build fixes for IA64 from Jeff Licquia, and fixed clean
    rules to pick up unnoticed strays that effected NMU builds.
    Thanks Jeff.  Closes: #101734, #104679  (fixed in NMU)
  * Medium urgency since several other packages are waiting
    for this to get into testing.

 -- Ron Lee <ron@debian.org>  Thu, 30 Aug 2001 15:41:49 -0700

wxwindows2.2 (2.2.7) unstable; urgency=medium

  * The "Testing Tarantella" release.
  * various small control (mis)behaviours corrected.
  * added missing build-dep for gettext.
  * updated wxPython description, Closes: #102689
  * Never publicly released, oh well.

 -- Ron Lee <ron@debian.org>  Sun, 10 Jun 2001 19:32:46 -0700

wxwindows2.2 (2.2.6.1) unstable; urgency=low

  * fix rules so it really doesn't build -indep for ports
    and fixed ambiguous overload bug in mmedia contrib.
    This time it will build on alpha for sure.  Really. :)
    Closes: #92288
  * added extra -dev package deps.  Closes: #91364

 -- Ron Lee <ron@debian.org>  Sat,  7 Apr 2001 06:49:58 -0700

wxwindows2.2 (2.2.6) unstable; urgency=low

  * changed i18n package back to building during arch phase
    so we can reap the .mo files as they are created. Closes: #86174
  * OBCBLR Closes: #84692
  * fix wxPython build gremlin.  Closes: #89209, #85129
  * tweaked wx-config alternatives priority to favour the most
    likely default use.
  * general buglet count reduced.

 -- Ron Lee <ron@debian.org>  Thu,  8 Mar 2001 21:10:07 -0800

wxwindows2.2 (2.2.5.1) unstable; urgency=low

  * "This One's for Dirk"  Closes: #84696
  * 2.2.5 has known issues and will not be released for Debian.
  * Fixed parser.y for Alpha builds (#82949)
  * changed mesa dependency to the virtual libgl package and
    added Conflicts for the old 2.1 packages (which are now
    gone from woody anyway)  Closes: #80120, #70778, #70779, #70780
  * wxPython now builds as a single unit (including contrib)
    so removed the libwxgtk-python-contrib package
  * updated translations
  * new event table macro to enable code being written with 2.2
    to be forward compatible with the changes in 2.4
  * numerous sundry bugfixes

 -- Ron Lee <ron@debian.org>  Wed, 24 Jan 2001 18:51:24 -0800

wxwindows2.2 (2.2.2) unstable; urgency=low

  * added missing dependancy for contrib-dev package.  Closes: #70880
  * by popular demand, added a package with the python-contrib libs.
  * more tweaks to deb/rules.  autodetect the python install location,
    and cache the results of configure tests for all packages.
  * and of course a whole stack of minor fixes in the main codebase too.

 -- Ron Lee <ron@debian.org>  Tue,  5 Sep 2000 18:51:24 +0930

wxwindows2.2 (2.2.1) unstable; urgency=low

  * wxWin 2.2.1 stable release.
  * First upload to deb.org after repackaging to build directly from
    upstream cvs.
  * still not quite lintian clean yet:
    - wxPython lib can't be built with a proper soname yet.
    - the -dbg packages need an override for the shlib symlink.
    - and a couple of packages have the lib symlink 'before the
      lib', but that's ugly to fix right now, they aren't critical
      libs, and allegedly this will be handled by dpkg sometime soon.
  * moved full licence text into copyright file.

 -- Ron Lee <ron@debian.org>  Sun, 13 Feb 2000 18:40:00 +1030

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wxwindows2.2
Section: libs
Priority: optional
Build-Depends: debhelper (>=2.0), flex, bison, gettext, libgtk1.2-dev, python (>=2.1), python (<<2.2), python2.1-dev, zlib1g-dev, libjpeg62-dev, libpng2-dev (<<1.2.0), libtiff3g-dev, libgl-dev, libesd0-dev
Maintainer: Ron Lee <ron@debian.org>
Standards-Version: 3.5.6.0

Package: libwxbase2.2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: wxBase library (runtime) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux, FreeBSD,
 Solaris, HP-UX, ...), win32, and BeOS.
 .
 This package is only useful for non-gui apps.  It offers a subset of the
 classes in libwx_gtk2.2 for use in console apps and daemons.  It is currently
 under development and may not be as stable as the gui version.

Package: libwxbase2.2-dev
Architecture: any
Section: devel
Depends: wxwin2.2-headers (= ${Source-Version}), libwxbase2.2 (= ${Source-Version}), zlib1g-dev, libc6-dev
Suggests: wxwin2.2-doc, gettext
Conflicts: libwxbase-dev
Replaces: libwxbase-dev
Provides: libwxbase-dev
Description: wxBase library (development) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux, FreeBSD,
 Solaris, HP-UX, ...), win32, and BeOS.
 .
 This package provides the files needed to compile apps using the wxBase library.

Package: libwxbase2.2-dbg
Architecture: any
Section: devel
Priority: extra
Depends: wxwin2.2-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxbase-dbg
Replaces: libwxbase-dbg
Provides: libwxbase-dbg
Description: wxBase library (debug) - non-GUI support classes of wxWindows toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing to build the
 same program under all supported folders, wxThread class for writing
 multithreaded programs using either Win32 or POSIX threads and much more.
 wxBase currently supports the following platforms: Generic Unix (Linux, FreeBSD,
 Solaris, HP-UX, ...) win32, and BeOS.
 .
 This package provides a debug version of the wxBase library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWindows itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libgl1
Replaces: wxgtk2.1
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the shared libraries needed to run programs linked
 against wxWindows.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk2.2-dev
Architecture: any
Section: devel
Depends: wxwin2.2-headers (= ${Source-Version}), libwxgtk2.2 (= ${Source-Version}), libgtk1.2-dev, zlib1g-dev, libjpeg62-dev, libpng2-dev (<<1.2.0), libtiff3g-dev, libc6-dev
Suggests: wxwin2.2-doc, libstdc++-dev, gettext, libgl-dev
Conflicts: libwxgtk-dev
Replaces: libwxgtk-dev, wxgtk2.1-dev
Provides: libwxgtk-dev
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ development)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides files needed to compile wxWindows programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.

Package: libwxgtk2.2-dbg
Architecture: any
Section: devel
Priority: extra
Depends: wxwin2.2-headers (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-dbg
Replaces: libwxgtk-dbg
Provides: libwxgtk-dbg
Description: wxWindows Cross-platform C++ GUI toolkit (GTK+ development)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a debug version of the wxGtk library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWindows itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.2-python
Architecture: any
Section: interpreters
Depends: python (>=2.1), python (<<2.2), ${shlibs:Depends}
Suggests: wxwin2.2-doc, wxwin2.2-examples
Conflicts: libwxgtk2.2-python-contrib, python-wxwin
Replaces: libwxgtk2.2-python-contrib, python-wxwin
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython binding)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a Python binding to the wxGTK library and it's
 contrib libs.

Package: libwxgtk2.2-contrib
Architecture: any
Section: libs
Depends: libwxgtk2.2 (= ${Source-Version}), ${shlibs:Depends}
Description: wxWindows Cross-platform C++ GUI toolkit (runtime contrib libs)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the contrib libs of the wxWindows source tree
 (mmedia, ogl, stc)

Package: libwxgtk2.2-contrib-dev
Architecture: any
Section: devel
Depends: wxwin2.2-headers (= ${Source-Version}), libwxgtk2.2-dev (= ${Source-Version}), libwxgtk2.2-contrib (= ${Source-Version}), libc6-dev
Conflicts: libwxgtk-contrib-dev
Replaces: libwxgtk-contrib-dev
Provides: libwxgtk-contrib-dev
Description: wxWindows Cross-platform C++ GUI toolkit (development contrib libs)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 Install this package if you wish to compile applications that use the
 contrib libs from the wxWindows source tree (mmedia, ogl, stc)

Package: wxwin2.2-headers
Architecture: any
Section: devel
Conflicts: wxwin-headers
Replaces: wxwin-headers, wxgtk2.1-dev
Provides: wxwin-headers
Description: wxWindows Cross-platform C++ GUI toolkit (header files)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the common header files required to build applications
 using the wxWindows toolkit.

Package: wxwin2.2-i18n
Architecture: all
Section: libs
Conflicts: wxwin-i18n
Replaces: wxwin-i18n
Provides: wxwin-i18n
Description: wxWindows Cross-platform C++ GUI toolkit (i18n support)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides the i18n message catalogs for wxWindows.

Package: wxwin2.2-doc
Architecture: all
Section: doc
Suggests: doc-base, www-browser
Description: wxWindows Cross-platform C++ GUI toolkit (documentation)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a HTML version of the wxWindows reference manual.

Package: wxwin2.2-examples
Architecture: all
Section: devel
Suggests: libwxgtk2.2-dev (= ${Source-Version}), wxwin2.2-doc
Description: wxWindows Cross-platform C++ GUI toolkit (examples)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.2
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package contains examples of using the wxWindows toolkit.

Package: libwxbase-msw2.2-dev
Architecture: i386
Section: otherosfs
Depends: wxwin2.2-headers-msw (= ${Source-Version})
Conflicts: libwxbase-msw-dev
Replaces: libwxbase-msw-dev
Provides: libwxbase-msw-dev
Description: wxBase mingw32msvc-cross
 mingw32msvc-cross wxBase libs.

Package: libwxmsw2.2-dev
Architecture: i386
Section: otherosfs
Depends: wxwin2.2-headers-msw (= ${Source-Version})
Conflicts: libwxmsw-dev
Replaces: libwxmsw-dev
Provides: libwxmsw-dev
Description: wxMSW mingw32msvc-cross
 mingw32msvc-cross wxMSW libs.

Package: wxwin2.2-headers-msw
Architecture: i386
Section: otherosfs
Depends: wxwin2.2-headers (= ${Source-Version})
Conflicts: wxwin-headers-msw
Replaces: wxwin-headers-msw
Provides: wxwin-headers-msw
Description: Extra wxWindows headers for mingw32msvc-cross
 Headers required by the wxWindows mingw32msvc-cross libraries.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wxWindows CVS source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

#export DH_VERBOSE=1
export DH_COMPAT=2
export DH_OPTIONS

release:=$(shell dpkg-parsechangelog | sed -n 's/^Source: wxwindows//p')
python_dir:=python$(shell python -c "import sys;print sys.version[:3]")

cross_host=i586-mingw32msvc
cross_build=$(shell ./config.guess)

# Packages to build:
package_wxbase_lib=libwxbase$(release)
package_wxbase_dev=libwxbase$(release)-dev
package_wxbase_dbg=libwxbase$(release)-dbg
package_gtk_lib=libwxgtk$(release)
package_gtk_dev=libwxgtk$(release)-dev
package_gtk_dbg=libwxgtk$(release)-dbg
package_gtk_py=libwxgtk$(release)-python
package_gtk_contrib=libwxgtk$(release)-contrib
package_gtk_contrib_dev=libwxgtk$(release)-contrib-dev
package_headers=wxwin$(release)-headers
package_i18n=wxwin$(release)-i18n
package_doc=wxwin$(release)-doc
package_examples=wxwin$(release)-examples

package_wxbase_msw_dev=libwxbase-msw$(release)-dev
package_msw_dev=libwxmsw$(release)-dev
package_headers_msw=wxwin$(release)-headers-msw

# Build directories:
objdir_wxbase_shared=objs_wxbase_sh
objdir_wxbase_static=objs_wxbase_st
objdir_wxbase_debug=objs_wxbase_d
objdir_gtk_shared=objs_gtk_sh
objdir_gtk_static=objs_gtk_st
objdir_gtk_debug=objs_gtk_d
objdir_doc_cruft=objs_doc_con
objdir_doc=docs/wxWindows-manual.html
objdir_examples=docs/examples
objdir_i18n=locale

objdir_wxbase_msw_static=objs_wxbase_msw_st
objdir_msw_static=objs_msw_st

objdirs=$(objdir_wxbase_shared) $(objdir_wxbase_static) $(objdir_wxbase_debug) \
	$(objdir_gtk_shared) $(objdir_gtk_static) $(objdir_gtk_debug) \
	$(objdir_doc_cruft) $(objdir_doc) $(objdir_examples) \
        $(objdir_wxbase_msw_static) $(objdir_msw_static)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGtk shared lib package.

# Build stamps:
build_arch_stamps=build-wxbase-shared-stamp build-wxbase-static-stamp \
                  build-wxbase-debug-stamp build-gtk-shared-stamp \
                  build-gtk-static-stamp build-gtk-debug-stamp \
                  build-contrib-shared-stamp build-contrib-static-stamp \
                  build-gtk-py-stamp build-i18n-stamp

build_indep_stamps=build-examples-stamp build-doc-stamp

build_cross_stamps=build-wxbase-msw-dev-stamp build-msw-dev-stamp

build_stamps_native=$(build_arch_stamps) $(build_indep_stamps)

build_stamps=$(build_stamps_native) $(build_cross_stamps)

# Install targets:
install_all_arch=install-wxbase-lib install-wxbase-dev install-wxbase-dbg \
                 install-gtk-lib install-gtk-dev install-gtk-dbg \
                 install-gtk-contrib install-gtk-contrib-dev install-gtk-py \
                 install-headers install-i18n

install_all_indep=install-examples install-doc

install_all_cross=install-wxbase-msw-dev install-msw-dev install-headers-msw

install_all_native=$(install_all_arch) $(install_all_indep)

install_all=$(install_all_native) $(install_all_cross)


wxconfig:=$(shell pwd)/$(objdir_gtk_shared)/wx-config \
                --prefix=$(shell pwd) \
                --exec-prefix=$(shell pwd)/$(objdir_gtk_shared)


# The Rules:

debian/control: debian/control.in
	sed -e 's/=V/$(release)/g' < debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in dirs postinst; do \
		echo "generating control file $(package_wxbase_lib).$$f"; \
		cp debian/libwxbase.$$f debian/$(package_wxbase_lib).$$f; \
	done;
	@for f in dirs files links postinst prerm; do \
		echo "generating control file $(package_wxbase_dev).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxbase-dev.$$f \
			> debian/$(package_wxbase_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_wxbase_dbg).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxbase-dbg.$$f \
			> debian/$(package_wxbase_dbg).$$f; \
	done;
	@for f in dirs postinst; do \
		echo "generating control file $(package_gtk_lib).$$f"; \
		cp debian/libwxgtk.$$f debian/$(package_gtk_lib).$$f; \
	done;
	@for f in dirs files links postinst prerm; do \
		echo "generating control file $(package_gtk_dev).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxgtk-dev.$$f \
			> debian/$(package_gtk_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_gtk_dbg).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/libwxgtk-dbg.$$f \
			> debian/$(package_gtk_dbg).$$f; \
	done;
	@for f in dirs docs files postinst prerm; do \
		echo "generating control file $(package_gtk_py).$$f"; \
		sed -e 's/=PY/$(python_dir)/g;s/=V/$(release)/g' < debian/libwxgtk-python.$$f \
			> debian/$(package_gtk_py).$$f; \
	done;
	@for f in dirs postinst; do \
		echo "generating control file $(package_gtk_contrib).$$f"; \
		cp debian/libwxgtk-contrib.$$f debian/$(package_gtk_contrib).$$f; \
	done;
	@for f in dirs files; do \
		echo "generating control file $(package_gtk_contrib_dev).$$f"; \
		cp debian/libwxgtk-contrib-dev.$$f debian/$(package_gtk_contrib_dev).$$f; \
	done;
	@for f in dirs files; do \
		echo "generating control file $(package_headers).$$f"; \
		cp debian/wxwin-headers.$$f debian/$(package_headers).$$f; \
	done;
	@for f in dirs files; do \
		echo "generating control file $(package_i18n).$$f"; \
		cp debian/wxwin-i18n.$$f debian/$(package_i18n).$$f; \
	done;
	@for f in dirs docs doc-base; do \
		echo "generating control file $(package_doc).$$f"; \
		sed -e 's/=V/$(release)/g' < debian/wxwin-doc.$$f \
			> debian/$(package_doc).$$f; \
	done;
	@for f in examples; do \
		echo "generating control file $(package_examples).$$f"; \
		cp debian/wxwin-examples.$$f debian/$(package_examples).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_wxbase_msw_dev).$$f"; \
		sed -e 's/=V/$(release)/g;s/=H/$(cross_host)/g' < debian/libwxbase-msw-dev.$$f \
			> debian/$(package_wxbase_msw_dev).$$f; \
	done;
	@for f in dirs links postinst prerm; do \
		echo "generating control file $(package_msw_dev).$$f"; \
		sed -e 's/=V/$(release)/g;s/=H/$(cross_host)/g' < debian/libwxmsw-dev.$$f \
			> debian/$(package_msw_dev).$$f; \
	done;
	@for f in dirs; do \
		echo "generating control file $(package_headers_msw).$$f"; \
		sed -e 's/=H/$(cross_host)/g' < debian/wxwin-headers-msw.$$f \
			> debian/$(package_headers_msw).$$f; \
	done;
	touch $@

build_arch: control-files-stamp $(build_arch_stamps)
build_all: control-files-stamp $(build_stamps_native)

# Really we should probably do nothing here until we know which
# binary target is being called, but alpha builds were exploding
# (compiler segfaults) in random places when building under fakeroot
# from the binary-arch target.  Build all -arch files here then, and
# let the -indep stuff fend for itself later.

build: build_arch


build-wxbase-shared-stamp:
	dh_testdir
	mkdir $(objdir_wxbase_shared)
	cd $(objdir_wxbase_shared) \
		&& ../configure --prefix=/usr \
				--cache-file=../config_deb.cache \
				--disable-gui \
				--enable-soname \
				--with-zlib=sys \
		&& $(MAKE)
	touch $@

build-wxbase-static-stamp:
	dh_testdir
	mkdir $(objdir_wxbase_static)
	cd $(objdir_wxbase_static) \
		&& ../configure --prefix=/usr \
				--cache-file=../config_deb.cache \
				--disable-gui \
				--disable-shared \
				--with-zlib=sys \
		&& $(MAKE)
	touch $@

build-wxbase-debug-stamp:
	dh_testdir
	mkdir $(objdir_wxbase_debug)
	cd $(objdir_wxbase_debug) \
		&& ../configure --prefix=/usr \
				--cache-file=../config_deb.cache \
				--disable-gui \
				--enable-debug \
				--enable-soname \
				--with-zlib=sys \
		&& $(MAKE)
	touch $@

build-gtk-shared-stamp:
	dh_testdir
	mkdir $(objdir_gtk_shared)
	cd $(objdir_gtk_shared) \
		&& ../configure --prefix=/usr \
